#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xf06e075d, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7fccc099, "__ubsan_handle_load_invalid_value" },
	{ 0x89b60854, "i2c_del_driver" },
	{ 0x50d386a5, "regulator_disable" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x2f25a269, "__sanitizer_cov_trace_cmp4" },
	{ 0x640837b7, "i2c_transfer" },
	{ 0xfe309e02, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa6838a75, "input_alloc_absinfo" },
	{ 0x2c79bf99, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe22f9518, "mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1a5d5745, "input_mt_report_pointer_emulation" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1738c470, "input_set_abs_params" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1a41c90a, "input_event" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0x667c473f, "_dev_warn" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x6433403a, "__sanitizer_cov_trace_cmp2" },
	{ 0x53d6d76c, "__sanitizer_cov_trace_pc" },
	{ 0xe5c51729, "__ubsan_handle_divrem_overflow" },
	{ 0x76ad554, "mutex_lock_interruptible" },
	{ 0x3099d6d9, "__mutex_init" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xde6aa533, "i2c_smbus_read_byte" },
	{ 0x6bdff4eb, "input_set_capability" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0x53700553, "i2c_smbus_write_byte" },
	{ 0x1f4feb8, "irq_get_irq_data" },
	{ 0x535e7852, "input_mt_init_slots" },
	{ 0xd27448b1, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x242839d8, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xfd0b726, "device_init_wakeup" },
	{ 0xb9351b1e, "_dev_err" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x2723813e, "i2c_register_driver" },
	{ 0xe2368987, "devm_add_action" },
	{ 0xbfea8bb1, "_dev_info" },
	{ 0x1e029d53, "i2c_smbus_write_block_data" },
	{ 0xc7fbc5b2, "devm_regulator_get" },
	{ 0xad3fcefa, "device_property_read_u32_array" },
	{ 0xf3d05405, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0x389b5cce, "input_register_device" },
	{ 0xfe78bf1e, "pm_wakeup_dev_event" },
	{ 0xdd65608f, "__dynamic_dev_dbg" },
	{ 0x2f068733, "i2c_transfer_buffer_flags" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb74166b3, "devm_input_allocate_device" },
	{ 0x9285e4c0, "input_mt_report_slot_state" },
	{ 0x714d6ed6, "__sanitizer_cov_trace_switch" },
	{ 0x68d585ed, "request_firmware" },
	{ 0xc113d970, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5dd036c8, "devm_kmalloc" },
	{ 0x1980a1d2, "wait_for_completion_timeout" },
	{ 0xa1fcf8fc, "devm_request_threaded_irq" },
	{ 0x57554ab6, "release_firmware" },
	{ 0xcff3ff7e, "devm_device_add_groups" },
	{ 0xcbabd23a, "device_property_present" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0x1659c3f7, "regulator_enable" },
};

MODULE_INFO(depends, "i2c-core");

MODULE_ALIAS("of:N*T*Celan,ekth3000");
MODULE_ALIAS("of:N*T*Celan,ekth3000C*");
MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "3D0922F3950C3669ABDC063");
