#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xf06e075d, "module_layout" },
	{ 0xf7596453, "usbnet_disconnect" },
	{ 0x26098702, "usbnet_probe" },
	{ 0xaaabbc9f, "usbnet_get_stats64" },
	{ 0x1d429a11, "usbnet_tx_timeout" },
	{ 0x2e9118f5, "cdc_ncm_change_mtu" },
	{ 0xe1c72651, "eth_validate_addr" },
	{ 0xc081d212, "eth_mac_addr" },
	{ 0x6f990f24, "usbnet_start_xmit" },
	{ 0x8c99ad92, "usbnet_stop" },
	{ 0xb4b09575, "usbnet_open" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0xa4c101a4, "usb_deregister" },
	{ 0x908bd12d, "usb_register_driver" },
	{ 0xcaa37391, "__asan_report_store_n_noabort" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0x9b795dd0, "in6_dev_finish_destroy" },
	{ 0xf8986ef2, "__vlan_find_dev_deep_rcu" },
	{ 0x23fd29ef, "__dynamic_netdev_dbg" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xed7440, "usbnet_skb_return" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdcb764ad, "memset" },
	{ 0x6be13eb3, "skb_put" },
	{ 0xfba2447a, "__netdev_alloc_skb" },
	{ 0x2f25a269, "__sanitizer_cov_trace_cmp4" },
	{ 0xa45d57a8, "cdc_ncm_rx_verify_ndp16" },
	{ 0x51ea8e9b, "ipv6_stub" },
	{ 0xf94f293e, "cdc_ncm_rx_verify_nth16" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x8056e348, "usb_autopm_put_interface" },
	{ 0x1d9624, "usb_autopm_get_interface" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4b140e9f, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5d759bf7, "netdev_err" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0x3cd61061, "_raw_spin_unlock_bh" },
	{ 0x19e92450, "cdc_ncm_fill_tx_frame" },
	{ 0x6927f281, "_raw_spin_lock_bh" },
	{ 0xe9f359a6, "skb_pull" },
	{ 0x714d6ed6, "__sanitizer_cov_trace_switch" },
	{ 0x19b41484, "__dev_kfree_skb_any" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0xa02efa3, "__asan_report_load_n_noabort" },
	{ 0xdd65608f, "__dynamic_dev_dbg" },
	{ 0xdb226caf, "usb_match_id" },
	{ 0x8ea5e223, "usb_set_interface" },
	{ 0xd27448b1, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa1ef01f7, "usb_cdc_wdm_register" },
	{ 0x5c629137, "cdc_ncm_bind_common" },
	{ 0x2c79bf99, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x866a5896, "cdc_ncm_select_altsetting" },
	{ 0x79190b7a, "usbnet_suspend" },
	{ 0x242839d8, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7a7d15ce, "usbnet_resume" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0xb74f2f99, "cdc_ncm_unbind" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0xfe309e02, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53d6d76c, "__sanitizer_cov_trace_pc" },
};

MODULE_INFO(depends, "usbnet,cdc_ncm,cdc-wdm");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v03F0pA31Dd*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1041d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1061d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1071d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1081d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Eip00in*");

MODULE_INFO(srcversion, "15F8EF50CB57EDB5D4A51D7");
