#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xf06e075d, "module_layout" },
	{ 0xf7596453, "usbnet_disconnect" },
	{ 0x26098702, "usbnet_probe" },
	{ 0x5b309d3d, "ethtool_op_get_link" },
	{ 0xf84a3177, "usbnet_set_msglevel" },
	{ 0xb9ed20a4, "usbnet_get_msglevel" },
	{ 0xaaabbc9f, "usbnet_get_stats64" },
	{ 0x1d429a11, "usbnet_tx_timeout" },
	{ 0xe1c72651, "eth_validate_addr" },
	{ 0x6f990f24, "usbnet_start_xmit" },
	{ 0x8c99ad92, "usbnet_stop" },
	{ 0xb4b09575, "usbnet_open" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0xa4c101a4, "usb_deregister" },
	{ 0x908bd12d, "usb_register_driver" },
	{ 0x8c7bd84f, "usb_driver_set_configuration" },
	{ 0x58aaa5a0, "kmem_cache_alloc_trace" },
	{ 0x5787024, "kmalloc_caches" },
	{ 0x28d008c2, "usbnet_get_endpoints" },
	{ 0xa664748a, "usb_reset_configuration" },
	{ 0x7a7d15ce, "usbnet_resume" },
	{ 0x79190b7a, "usbnet_suspend" },
	{ 0xbc345b05, "usbnet_read_cmd_nopm" },
	{ 0xc081d212, "eth_mac_addr" },
	{ 0x332b73a1, "__ubsan_handle_out_of_bounds" },
	{ 0x5ac3a2d, "netif_carrier_on" },
	{ 0x6ae1e0b7, "netdev_info" },
	{ 0x8526d8d7, "netif_carrier_off" },
	{ 0x8056e348, "usb_autopm_put_interface" },
	{ 0x1d9624, "usb_autopm_get_interface" },
	{ 0x23fd29ef, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7957894, "usb_control_msg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5792f848, "strlcpy" },
	{ 0x52496493, "usbnet_get_drvinfo" },
	{ 0xa02efa3, "__asan_report_load_n_noabort" },
	{ 0x594e60f0, "usbnet_defer_kevent" },
	{ 0xd9b077e7, "netdev_warn" },
	{ 0xeceb1114, "usbnet_read_cmd" },
	{ 0x7b37b558, "__ubsan_handle_type_mismatch_v1" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf28f45c1, "usbnet_write_cmd_async" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0xcaa37391, "__asan_report_store_n_noabort" },
	{ 0xed7440, "usbnet_skb_return" },
	{ 0xe9f359a6, "skb_pull" },
	{ 0xc0026e8, "skb_clone" },
	{ 0xfe309e02, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6814ab5d, "skb_trim" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x714d6ed6, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x6be13eb3, "skb_put" },
	{ 0xb227a871, "__pskb_pull_tail" },
	{ 0x5aa85a9d, "skb_push" },
	{ 0x19b41484, "__dev_kfree_skb_any" },
	{ 0x59038f47, "skb_copy_expand" },
	{ 0x2f25a269, "__sanitizer_cov_trace_cmp4" },
	{ 0xe5c51729, "__ubsan_handle_divrem_overflow" },
	{ 0xd27448b1, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0x242839d8, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0x2c79bf99, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x53d6d76c, "__sanitizer_cov_trace_pc" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "12997B35D81207E30A0174B");
